from setuptools import setup, find_packages

def read_file(filename):
    with open(filename, encoding='utf-8') as f:
        return f.read()

setup(
    name='FotoFlow',
    version='2.0',
    packages=find_packages(),
    install_requires=[
        'requests',
        'urllib3',
    ],
    include_package_data=True,
    description='FotoFlow is a versatile image editing class that offers a range of powerful tools to manipulate images. It includes features like resizing, rotating, applying filters, and generating QR codes.',
    long_description=read_file('README.md'),
    long_description_content_type='text/markdown',
    url='https://api-free.ir',
    author='Mahdi Ahmadi',
    author_email='mahdiahmadi.1208@gmail.com',
    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Libraries',
        'Topic :: Utilities',
        'Development Status :: 5 - Production/Stable',
        'Natural Language :: English',
        'Operating System :: MacOS',
        'Operating System :: Microsoft :: Windows',
        'Operating System :: POSIX',
        'Environment :: Console',
    ],
    python_requires='>=3.6',
    keywords='image editing, QR code generation, photo filters, image manipulation, python tools',
    license='MIT',
    project_urls={
        'Bug Tracker': 'https://t.me/dev_jav',
    },
)
